Bug 1316840 - grub2-2.02-0.27.fc24 build failure on ppc64
Summary: grub2-2.02-0.27.fc24 build failure on ppc64
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 24
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-03-11 09:32 UTC by Ngo Than
Modified: 2017-08-08 13:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 13:07:04 UTC


Attachments (Terms of Use)

Description Ngo Than 2016-03-11 09:32:03 UTC
grub2-2.02-0.27.fc24 doesn't build on ppc64 in f24, it breaks with this error:

kern/efi/sb.c:22:28: fatal error: grub/cpu/linux.h: No such file or directory
 #include <grub/cpu/linux.h>
                            ^
compilation terminated.
Makefile:32739: recipe for target 'kern/efi/kernel_exec-sb.o' failed


it builds fine with this change, i'm not sure if the patch is correct but it seems <grub/cpu/linux.h> is not used an the codes.

diff -up grub-2.02~beta3/grub-core/kern/efi/sb.c.than grub-2.02~beta3/grub-core/kern/efi/sb.c
--- grub-2.02~beta3/grub-core/kern/efi/sb.c.than        2016-03-11 04:18:35.814494235 -0500
+++ grub-2.02~beta3/grub-core/kern/efi/sb.c     2016-03-11 04:17:13.823148603 -0500
@@ -19,7 +19,7 @@
 #include <grub/err.h>
 #include <grub/mm.h>
 #include <grub/types.h>
-#include <grub/cpu/linux.h>
+//#include <grub/cpu/linux.h>
 #include <grub/efi/efi.h>
 #include <grub/efi/pe32.h>
 #include <grub/efi/linux.h>

Comment 1 Fedora End Of Life 2017-07-25 20:18:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 13:07:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.